<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_variations', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedMediumInteger('package_id')->nullable()->index('attribute_family_id');
            $table->unsignedMediumInteger('unity_id')->nullable();
            $table->unsignedDecimal('quantity', 7)->nullable();
            $table->string('name')->nullable();
            $table->text('description')->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_variations');
    }
};
